%define	upstream_name	 Net-Netmask
%define	upstream_version 2.0001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    %{upstream_name} module for Perl
License:    Public Domain
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MU/MUIR/modules/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark)
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt) >= 1.999.811
BuildRequires: perl(POSIX)
BuildRequires: perl(Test2::V0) >= 0.0.111
BuildRequires: perl(Test::UseAllModules) >= 0.170.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-Math-BigInt
BuildArch:  noarch

%description
Net-Netmask module for perl

Net::Netmask parses and understands IPv4 CIDR blocks. It's built with an
object-oriented interface. Nearly all functions are methods that operate on a
Net::Netmask object.

There are methods that provide the nearly all bits of information about a
network block that you might want.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Net/*
%{_mandir}/*/*

%changelog
* Fri Jul 23 2021 neoclust <neoclust> 1:2.0.100-1.mga8
+ Revision: 1737494
- New version 2.0001: Fixes CVE-2021-29424 (mga#29023)

* Wed Feb 12 2020 umeabot <umeabot> 1:1.910.400-3.mga8
+ Revision: 1505593
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1:1.910.400-2.mga7
+ Revision: 1285134
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1:1.910.400-1.mga7
+ Revision: 1246595
- explicitely BR perl-Math-BigInt as versionned BR on perl(Math::BigInt)
  doesn't pull it where main perl's one is older
- use new macros
- split %%check
- update to 1.9104

* Tue Jun 19 2018 tv <tv> 1:1.910.300-1.mga7
+ Revision: 1237992
- update to 1.9103

* Thu Jun 07 2018 tv <tv> 1:1.910.100-1.mga7
+ Revision: 1235131
- update to 1.9101

* Sun Jun 19 2016 pterjan <pterjan> 1:1.902.200-3.mga6
+ Revision: 1031203
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.902.200-2.mga6
+ Revision: 968085
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:1.902.200-1.mga6
+ Revision: 851218
- update to 1.9022

* Sun Oct 19 2014 umeabot <umeabot> 1:1.902.100-4.mga5
+ Revision: 790024
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1:1.902.100-3.mga5
+ Revision: 739253
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.902.100-2.mga5
+ Revision: 685692
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 1:1.902.100-1.mga5
+ Revision: 655113
- update to 1.9021

* Mon Feb 17 2014 jquelin <jquelin> 1:1.901.900-1.mga5
+ Revision: 593666
- update to 1.9019

* Mon Oct 21 2013 umeabot <umeabot> 1:1.901.700-2.mga4
+ Revision: 537388
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1:1.901.700-1.mga4
+ Revision: 486888
- update to 1.9017

* Sun Jan 13 2013 umeabot <umeabot> 1:1.901.600-2.mga3
+ Revision: 370752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 jquelin <jquelin> 1:1.901.600-1.mga1
+ Revision: 76684
- bump epoch to use %%perl_convert_version
- update to 1.9016

* Sat Jan 22 2011 jquelin <jquelin> 1.9015-4.mga1
+ Revision: 30946
- mageia rebuild
- imported package perl-Net-Netmask


* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.9015-4mdv2010.1
+ Revision: 426551
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.9015-3mdv2009.0
+ Revision: 223904
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9015-2mdv2008.1
+ Revision: 180528
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.9015-1mdv2008.0
+ Revision: 20313
- 1.9015


* Thu May 25 2006 Buchan Milne <bgmilne@mandriva.org> 1.9012-2mdv2007.0
- use mkrel

* Fri Jul 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.9012-1mdk
- 1.9012

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9011-1mdk
- 1.9011

* Wed Apr 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9009-1mdk
- 1.9009

* Sat Jan 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9007-1mdk
- 1.9007
- use %%makeinstall_std macro
- cosmetics
- drop $RPM_OPT_FLAGS, noarch..
- fix license
- add README file to %%doc

* Wed Aug 27 2003 François Pons <fpons@mandrakesoft.com> 1.9004-1mdk
- 1.9004.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9002-4mdk
- rebuild for new auto{prov,req}

